Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_addrinfo Struct Reference

`#include <rubysocket.h>`

## Data Fields
struct addrinfo * | ai
int | allocated_by_malloc

## Detailed Description

Definition at line 290 of file rubysocket.h.

## Field Documentation

## ◆ ai

struct addrinfo* rb_addrinfo::ai

Definition at line 291 of file rubysocket.h.

Referenced by rb_freeaddrinfo().

## ◆ allocated_by_malloc

int rb_addrinfo::allocated_by_malloc

Definition at line 292 of file rubysocket.h.

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h